Bug 1301250 - [abrt] liferea: feedlist_get_selected(): liferea killed by SIGSEGV
[abrt] liferea: feedlist_get_selected(): liferea killed by SIGSEGV
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: liferea (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Yaakov Selkowitz
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:80519edea4205ec1a4f7ac8f608...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-22 20:36 EST by Daniel
Modified: 2016-12-20 13:05 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 13:05:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (31.27 KB, text/plain)
2016-01-22 20:36 EST, Daniel
no flags Details
File: cgroup (190 bytes, text/plain)
2016-01-22 20:36 EST, Daniel
no flags Details
File: core_backtrace (2.55 KB, text/plain)
2016-01-22 20:36 EST, Daniel
no flags Details
File: dso_list (11.90 KB, text/plain)
2016-01-22 20:36 EST, Daniel
no flags Details
File: environ (1.64 KB, text/plain)
2016-01-22 20:36 EST, Daniel
no flags Details
File: exploitable (82 bytes, text/plain)
2016-01-22 20:36 EST, Daniel
no flags Details
File: limits (1.29 KB, text/plain)
2016-01-22 20:36 EST, Daniel
no flags Details
File: maps (55.20 KB, text/plain)
2016-01-22 20:36 EST, Daniel
no flags Details
File: mountinfo (3.82 KB, text/plain)
2016-01-22 20:36 EST, Daniel
no flags Details
File: namespaces (85 bytes, text/plain)
2016-01-22 20:36 EST, Daniel
no flags Details
File: open_fds (1.23 KB, text/plain)
2016-01-22 20:36 EST, Daniel
no flags Details
File: proc_pid_status (1003 bytes, text/plain)
2016-01-22 20:36 EST, Daniel
no flags Details
File: var_log_messages (393 bytes, text/plain)
2016-01-22 20:36 EST, Daniel
no flags Details

  None (edit)
Description Daniel 2016-01-22 20:36:29 EST
Description of problem:
Quitting Liferea sometimes leaves it hanging for hours. Next time I start Liferea the previous instance crashes.

Version-Release number of selected component:
liferea-1.10.17-1.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        liferea
crash_function: feedlist_get_selected
executable:     /usr/bin/liferea
global_pid:     18156
kernel:         4.2.8-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (5 frames)
 #0 feedlist_get_selected at feedlist.c:217
 #1 liferea_shell_destroy at liferea_shell.c:1401
 #2 on_shutdown at main.c:294
 #6 g_main_context_iteration at gmain.c:3901
 #7 g_application_run at gapplication.c:2331
Comment 1 Daniel 2016-01-22 20:36:35 EST
Created attachment 1117394 [details]
File: backtrace
Comment 2 Daniel 2016-01-22 20:36:37 EST
Created attachment 1117395 [details]
File: cgroup
Comment 3 Daniel 2016-01-22 20:36:38 EST
Created attachment 1117396 [details]
File: core_backtrace
Comment 4 Daniel 2016-01-22 20:36:39 EST
Created attachment 1117397 [details]
File: dso_list
Comment 5 Daniel 2016-01-22 20:36:40 EST
Created attachment 1117398 [details]
File: environ
Comment 6 Daniel 2016-01-22 20:36:42 EST
Created attachment 1117399 [details]
File: exploitable
Comment 7 Daniel 2016-01-22 20:36:43 EST
Created attachment 1117400 [details]
File: limits
Comment 8 Daniel 2016-01-22 20:36:45 EST
Created attachment 1117401 [details]
File: maps
Comment 9 Daniel 2016-01-22 20:36:46 EST
Created attachment 1117402 [details]
File: mountinfo
Comment 10 Daniel 2016-01-22 20:36:47 EST
Created attachment 1117403 [details]
File: namespaces
Comment 11 Daniel 2016-01-22 20:36:48 EST
Created attachment 1117404 [details]
File: open_fds
Comment 12 Daniel 2016-01-22 20:36:49 EST
Created attachment 1117405 [details]
File: proc_pid_status
Comment 13 Daniel 2016-01-22 20:36:50 EST
Created attachment 1117406 [details]
File: var_log_messages
Comment 14 Fedora Admin XMLRPC Client 2016-02-12 13:22:30 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 15 Fedora Admin XMLRPC Client 2016-02-12 14:00:23 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 16 Fedora End Of Life 2016-11-24 10:07:34 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 17 Fedora End Of Life 2016-12-20 13:05:45 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.